******************************************************************************
*
*       Function:   ERRLOG
*       Usage:      val = atoi (str, index)
*       Purpose:    This procedure is used to convert a string of
*                   digits into a number using base 10.  'idx' is an integer
*                   that will be incremented for each character that is
*                   used to generate the number.
*       Output:     The function value is the integer corresponding to the
*                   string of digits passed.
*
******************************************************************************

        subroutine errlog (msg, stream, request)
            implicit none
            include 'defs.inc'
            include 'struct.inc'
            include 'extern.inc'
            include 'global.inc'

            character*(*) msg
            integer request, stream
            external ex_stat

            call ex_stat (msg, request, SS$_BADPARAM, stream)
        end
